# TAK

Tom’s lossless Audio Kompressor (TAK) streams with APEv2 tags.

TAK is a lossless audio compressor developed by Thomas Becker.

For more information, see:

- http://www.thbeck.de/Tak/Tak.html

- http://wiki.hydrogenaudio.org/index.php?title=TAK

class mutagen.tak.TAK(filething)

  Bases: `APEv2File`

  Parameters:

    filething (filething)

  info
    Type:

      `TAKInfo`

  static score(filename, fileobj, header)

    Returns a score for how likely the file can be parsed by this type.

    Parameters:

      - filename (fspath) – a file path

      - fileobj (fileobj) – a file object open in rb mode. Position is undefined

      - header (bytes) – data of undefined length, starts with the start of the file.

    Returns:

      negative if definitely not a matching type, otherwise a score,

        the bigger the more certain that the file can be loaded.

    Return type:

      int

class mutagen.tak.TAKInfo(fileobj)

  TAK stream information.

  channels

    number of audio channels

    Type:

      `int`

  length

    file length in seconds, as a float

    Type:

      `float`

  sample_rate

    audio sampling rate in Hz

    Type:

      `int`

  bits_per_sample

    audio sample size

    Type:

      `int`

  encoder_info

    encoder version

    Type:

      `mutagen.text`

  pprint()
    Returns:

      Print stream information

    Return type:

      text